Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
SymmetricCipherFinal< BASE, INFO > Class Template Reference

_ More...

`#include <strciphr.h>`

Inheritance diagram for SymmetricCipherFinal< BASE, INFO >:

List of all members.

## Public Member Functions

| SymmetricCipherFinal (const byte *key)
| SymmetricCipherFinal (const byte *key, size_t length)
| SymmetricCipherFinal (const byte *key, size_t length, const byte *iv)
Clonable * | Clone () const
std::string | AlgorithmName () const
size_t | MinKeyLength () const
size_t | MaxKeyLength () const
size_t | DefaultKeyLength () const
size_t | GetValidKeyLength (size_t n) const
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
unsigned int | IVSize () const

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class BASE, class INFO = BASE>
class SymmetricCipherFinal< BASE, INFO >

_

Definition at line 278 of file strciphr.h.

The documentation for this class was generated from the following file:

- strciphr.h